Get Task MCP Tool

Retrieve one registered MCP tool.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

task_mcp_tool_idstringRequiredformat: "uuid"
org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Response

MCP tool details retrieved successfully
idstringformat: "uuid"
task_mcp_server_idstringformat: "uuid"
namestring
tool_namestring
safe_tool_namestring
tool_timeout_secondsinteger
enabledboolean
createdstring
modifiedstring
descriptionstring or nullOptional
tool_descriptionstring or nullOptional
tool_input_schemamap from strings to any or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error